> For the complete documentation index, see [llms.txt](https://docs.matrixian.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.matrixian.com/waarderen-en-taxeren/leadtool-api.md).

# Leadtool API

## GET /leadtool

> Retrieve an estimated home value range for a residential object. This endpoint is tailored to lead generation.

```json
{"openapi":"3.1.1","info":{"title":"Matrixian API","version":"1.0.0"},"servers":[{"url":"https://api.matrixian.com/v1","description":"Matrixian API"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"{{API_KEY}}"}},"schemas":{"LeadToolInput":{"properties":{"postcode":{"type":"string","title":"Postalcode","description":"Postal code"},"houseNumber":{"type":"integer","title":"Housenumber","description":"House number"},"houseLetter":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Houseletter","description":"House letter"},"houseNumberExt":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Housenumberext","description":"House number extension"},"type":{"anyOf":[{"$ref":"#/components/schemas/HouseType"},{"type":"null"}],"description":"Type of dwelling"},"buildYear":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Buildyear","description":"Indication of the year in which the building will originally be delivered in, or is architecturally ready. Also known as construction year."},"useSurface":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Usesurface","description":"The usable surface area of a property object in m2."},"parcelSurface":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Parcelsurface","description":"The lot/parcel surface in m2."},"volume":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Volume","description":"Volume in m3."},"numberOfRooms":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Numberofrooms","description":"Number of rooms."},"energyLabel":{"anyOf":[{"$ref":"#/components/schemas/EnergyLabel"},{"type":"null"}],"description":"A label indicating how well the property object is insulated."},"monument":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Monument","description":"Boolean indicating whether the house is a monument.","default":false},"valuationDate":{"type":"string","format":"date","title":"Valuationdate","description":"Valuation date","default":"2026-10-22"}},"type":"object","required":["postcode","houseNumber"],"title":"LeadToolInput"},"HouseType":{"enum":["Appartement","Galerijflat","Maisonnette","Portiekwoning","Portiekflat","Corridorflat","Bovenwoning","Benedenwoning","Tussenwoning","Geschakelde woning","Eindwoning","Hoekwoning","2-onder-1-kapwoning","Geschakelde 2-onder-1-kapwoning","Halfvrijstaande woning","Vrijstaande woning"],"title":"HouseType","type":"string"},"EnergyLabel":{"enum":["A+++++","A++++","A+++","A++","A+","A","B","C","D","E","F","G"],"title":"EnergyLabel","type":"string"},"LeadtoolResponse":{"properties":{"houseNumber":{"type":"integer","title":"Housenumber","description":"House number"},"houseNumberExt":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Housenumberext","description":"House number extension"},"postalCode":{"type":"string","title":"Postalcode","description":"Postal code"},"references":{"items":{"$ref":"#/components/schemas/LeadtoolReferenceModel"},"type":"array","maxItems":3,"title":"References","description":"List of reference objects."},"weightedValueRange":{"type":"string","title":"Weightedvaluerange","description":"Range for the automated valuation model (AVM) estimate of the property value"}},"type":"object","required":["houseNumber","postalCode","references","weightedValueRange"],"title":"LeadtoolResponse"},"LeadtoolReferenceModel":{"properties":{"city":{"description":"City","title":"City","type":"string"},"houseNumber":{"description":"House number","title":"Housenumber","type":"integer"},"houseNumberExt":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"description":"House number extension","title":"Housenumberext"},"latitude":{"description":"Latitude","title":"Latitude","type":"number"},"longitude":{"description":"Longitude","title":"Longitude","type":"number"},"postalCode":{"description":"Postal code","title":"Postalcode","type":"string"},"street":{"description":"Street name","title":"Street","type":"string"}},"required":["city","houseNumber","latitude","longitude","postalCode","street"],"title":"LeadtoolReferenceModel","type":"object"},"ErrorObject":{"properties":{"code":{"type":"integer","title":"Code"},"message":{"type":"string","title":"Message"},"errors":{"items":{"$ref":"#/components/schemas/ErrorDetail"},"type":"array","title":"Errors"}},"type":"object","required":["code","message","errors"],"title":"ErrorObject"},"ErrorDetail":{"properties":{"reason":{"type":"string","title":"Reason"},"message":{"type":"string","title":"Message"}},"type":"object","required":["reason","message"],"title":"ErrorDetail"}}},"paths":{"/leadtool":{"get":{"description":"Retrieve an estimated home value range for a residential object. This endpoint is tailored to lead generation.","operationId":"leadtool","parameters":[{"description":"Postal code","required":true,"style":"form","explode":true,"schema":{"type":"string"},"name":"postcode","in":"query"},{"description":"House number","required":true,"style":"form","explode":true,"schema":{"type":"integer"},"name":"houseNumber","in":"query"},{"description":"House letter","required":false,"style":"form","explode":true,"schema":{"type":"string"},"name":"houseLetter","in":"query"},{"description":"House number extension","required":false,"style":"form","explode":true,"schema":{"type":"string"},"name":"houseNumberExt","in":"query"},{"description":"Type of dwelling","required":false,"style":"form","explode":true,"schema":{"type":"string","enum":["Appartement","Galerijflat","Maisonnette","Portiekwoning","Portiekflat","Corridorflat","Bovenwoning","Benedenwoning","Tussenwoning","Geschakelde woning","Eindwoning","Hoekwoning","2-onder-1-kapwoning","Geschakelde 2-onder-1-kapwoning","Halfvrijstaande woning","Vrijstaande woning"]},"name":"type","in":"query"},{"description":"Indication of the year in which the building will originally be delivered in, or is architecturally ready. Also known as construction year.","required":false,"style":"form","explode":true,"schema":{"type":"integer"},"name":"buildYear","in":"query"},{"description":"The usable surface area of a property object in m2.","required":false,"style":"form","explode":true,"schema":{"type":"integer"},"name":"useSurface","in":"query"},{"description":"The lot/parcel surface in m2.","required":false,"style":"form","explode":true,"schema":{"type":"integer"},"name":"parcelSurface","in":"query"},{"description":"Volume in m3.","required":false,"style":"form","explode":true,"schema":{"type":"integer"},"name":"volume","in":"query"},{"description":"Number of rooms.","required":false,"style":"form","explode":true,"schema":{"type":"integer"},"name":"numberOfRooms","in":"query"},{"description":"A label indicating how well the property object is insulated.","required":false,"style":"form","explode":true,"schema":{"type":"string","enum":["A+++++","A++++","A+++","A++","A+","A","B","C","D","E","F","G"]},"name":"energyLabel","in":"query"},{"description":"Boolean indicating whether the house is a monument.","required":false,"style":"form","explode":true,"schema":{"type":"boolean","default":false},"name":"monument","in":"query"},{"description":"Valuation date","required":false,"style":"form","explode":true,"schema":{"type":"string","format":"date","default":"2026-10-22"},"name":"valuationDate","in":"query"}],"responses":{"200":{"description":"LeadtoolResponse","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/LeadToolInput"},"data":{"$ref":"#/components/schemas/LeadtoolResponse"},"error":{"additionalProperties":{"type":"string"},"type":"object"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["data","status"]}}}},"400":{"description":"HTTP 400","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/LeadToolInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"401":{"description":"HTTP 401","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/LeadToolInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"403":{"description":"HTTP 403","content":{"application/json":{"schema":{"properties":{"message":{"type":"string"}},"type":"object","required":["message"]}}}},"404":{"description":"HTTP 404","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/LeadToolInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"500":{"description":"HTTP 500","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/LeadToolInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}}}}}}}
```

## The LeadtoolResponse object

```json
{"openapi":"3.1.1","info":{"title":"Matrixian API","version":"1.0.0"},"components":{"schemas":{"LeadtoolResponse":{"properties":{"houseNumber":{"type":"integer","title":"Housenumber","description":"House number"},"houseNumberExt":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Housenumberext","description":"House number extension"},"postalCode":{"type":"string","title":"Postalcode","description":"Postal code"},"references":{"items":{"$ref":"#/components/schemas/LeadtoolReferenceModel"},"type":"array","maxItems":3,"title":"References","description":"List of reference objects."},"weightedValueRange":{"type":"string","title":"Weightedvaluerange","description":"Range for the automated valuation model (AVM) estimate of the property value"}},"type":"object","required":["houseNumber","postalCode","references","weightedValueRange"],"title":"LeadtoolResponse"},"LeadtoolReferenceModel":{"properties":{"city":{"description":"City","title":"City","type":"string"},"houseNumber":{"description":"House number","title":"Housenumber","type":"integer"},"houseNumberExt":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"description":"House number extension","title":"Housenumberext"},"latitude":{"description":"Latitude","title":"Latitude","type":"number"},"longitude":{"description":"Longitude","title":"Longitude","type":"number"},"postalCode":{"description":"Postal code","title":"Postalcode","type":"string"},"street":{"description":"Street name","title":"Street","type":"string"}},"required":["city","houseNumber","latitude","longitude","postalCode","street"],"title":"LeadtoolReferenceModel","type":"object"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.matrixian.com/waarderen-en-taxeren/leadtool-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
